petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatNestGetSubMats

Returns the entire two dimensional array of matrices defining a nest matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestGetSubMats(Mat A,PetscInt *M,PetscInt *N,Mat ***mat)

Not collective Many br

### Input Parameters

A -nest matrix Many br

### Output Parameter

| M | - number of rows in the nest matrix Many br
| N | - number of cols in the nest matrix Many br
| mat | - 2d array of matrices Many br

### Notes

The user should not free the array mat. Many br

Many br

### See Also

MatNestGetSize(), MatNestGetSubMat()

Level:developer
Location:src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages